DefaultLanguage ru
AddDefaultCharset windows-1251
<IfModule mod_php5.c>
php_value session.use_trans_sid 0
php_value register_globals 1
<Directory "/usr/local/bin/php">
    php_admin_value open_basedir none
</Directory>
</IfModule>

<IfModule mod_rewrite.c>
#Options +FollowSymLinks -MultiViews
Options -Indexes
Options -MultiViews
RewriteEngine On
 
RewriteCond %{HTTP:VIA}                 !^$ [OR]
RewriteCond %{HTTP:FORWARDED}           !^$ [OR]
RewriteCond %{HTTP:USERAGENT_VIA}       !^$ [OR]
RewriteCond %{HTTP:X_FORWARDED_FOR}     !^$ [OR]
RewriteCond %{HTTP:PROXY_CONNECTION}    !^$ [OR]
RewriteCond %{HTTP:XPROXY_CONNECTION}   !^$ [OR]
RewriteCond %{HTTP:HTTP_PC_REMOTE_ADDR} !^$ [OR]
RewriteCond %{HTTP:HTTP_CLIENT_IP}      !^$
RewriteRule (.+) https://new-combats.com/proxy/

#RewriteCond %{HTTP_HOST} ^new-combats\.ru [NC]
#RewriteCond %{SERVER_PORT} 80
#RewriteRule ^(.*)$ https://new-combats.com/$1 [R,L]

#RewriteCond %{HTTP_HOST} ^demonscity\.ru [NC]
#RewriteCond %{SERVER_PORT} 80
#RewriteRule ^(.*)$ https://new-combats.com/$1 [R,L]

#RewriteCond %{HTTP_HOST} ^new-combats\.com [NC]
RewriteCond %{SERVER_PORT} 80
RewriteRule ^(.*)$ https://new-combats.com/$1 [R,L]

RewriteBase /
RewriteCond %{ENV:REDIRECT} !^yes$
RewriteRule ruletka.pl ruletka.php [L]
RewriteRule bandit.pl bandit.php [L]
RewriteRule blackjack.pl blackjack.php [L]
RewriteRule casino/SWFP.pl casino/SWFP.php [L]
RewriteCond %{ENV:REDIRECT} !^yes$
RewriteRule ^r([0-9]+)/?$ /register.php?ref=$1 [L]

RewriteRule ^adminion/([a-zA-Z0-9]+)/?$ /adminion/index.php?mod=$1 [L]
RewriteRule ^adminion/([a-zA-Z0-9]+)/([a-zA-Z0-9]+)/?$ /adminion/index.php?mod=$1 [L]
RewriteRule ^adminion/([a-zA-Z0-9]+)/([a-zA-Z0-9]+)/([a-zA-Z0-9]+)/?$ /adminion/index.php?mod=$1 [L]

RewriteRule ^settings/?$ /settings.php [L]

RewriteRule ^info/(.*)/?$ /inf.php?$1 [L]

RewriteRule ^rating_pers/?$ /reting_pers.php [L]
RewriteRule ^rating_pers/(.*)/?$ /reting_pers.php?$1 [L]

RewriteRule ^rating_clans/?$ /reting_clans.php [L]
RewriteRule ^rating_clans/(.*)/?$ /reting_clans.php?$1 [L]

#RewriteRule ^support/(.*)/?$ /support/index.php?$1 [L]
#RewriteRule ^support/?$ /support/index.php [L]

RewriteRule ^clan/(.*)/?$ /clans_inf.php?$1 [L]
RewriteRule ^clan/?$ /clans_inf.php [L]

RewriteRule ^ruins/(.*)/?$ /ruins.php?$1 [L]
RewriteRule ^ruins/?$ /ruins.php [L]

RewriteRule ^exp/(.*)/?$ /exp.php?$1 [L]
RewriteRule ^exp/?$ /exp.php [L]
#
#
RewriteRule ^news/(.*)/?$ /n/$1 [R=301,L]
RewriteRule ^news/?$ /n [R=301,L]

RewriteRule ^n/(.*)/?$ /news_script/index.php?$1 [L]
RewriteRule ^n/?$ /news_script/index.php [L]
#
#

#RewriteRule ^news/(.*)/?$ /news_script/index.php?$1 [L]
#RewriteRule ^news/?$ /news_script/index.php [L]

RewriteRule ^forum/(.*)/?$ /forum_script/index.php?$1 [L]
RewriteRule ^forum/?$ /forum_script/index.php [L]

RewriteRule ^shadow/(.*)/?$ /obraz.php?$1 [L]
RewriteRule ^shadow/?$ /obraz.php [L]

RewriteRule ^dress/(.*)/?$ /dress.php?$1 [L]
RewriteRule ^dress/?$ /dress.php [L]

RewriteRule ^monitoring/(.*)/?$ /hmonitor.php?$1 [L]
RewriteRule ^monitoring/?$ /hmonitor.php [L]

RewriteRule ^rating/(.*)/?$ /rating_script/index.php?$1 [L]
RewriteRule ^rating/?$ /rating_script/index.php [L]

RewriteRule ^item/(.*)/?$ /items_info.php?$1 [L]
RewriteRule ^item/?$ /items_info.php [L]
RewriteRule ^repass/?$ /repass.php [L]
#
#
#
#
RewriteRule ^mail/(.*)/?$ /mailconf.php?$1 [L]

RewriteRule ^register/?$ /register.php [L]
#RewriteRule ^register1/?$ /register1.php [L]
RewriteRule ^reg/?$ /register.php [L]

RewriteRule ^enter/?$ /enter.php [L]

RewriteRule ^bk/?$ /buttons.php [L]

RewriteRule ^mobile/?$ /main_mobile.php [L]

RewriteRule ^btl([0-9]+)/?$ /jx/battle/refresh$1.php [L]
RewriteRule ^/n/?$ /news_script/index.php [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>

Order Allow,Deny
Allow from all

